classification
Title: Update distutils sample config file in Doc/install/index.rst
Type: behavior Stage: resolved
Components: Distutils, Documentation Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: docs@python, eric.araujo, steve.dower, zach.ware
Priority: normal Keywords:

Created on 2014-01-31 20:55 by zach.ware, last changed 2021-02-03 18:19 by steve.dower. This issue is now closed.

Messages (2)
msg209829 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-01-31 20:55
From docs@:

On Thu, Jan 16, 2014 at 2:56 AM, Peter Bröcker <peter.broecker@uni-koeln.de> wrote:
> Hi,
>
> I have tried to set up the distutils config files for a custom module
> installation. Using the suggested snippet  from
>
> http://docs.python.org/2/install/
>
> [install]
> install-base=$HOME/python
> install-purelib=lib
> install-platlib=lib.$PLAT
> install-scripts=scripts
> install-data=data did not work for me.
>
> Instead, I had to add install-headers and additionally modify all paths
> to include $base:
>
> [install]
> install-base=/some/dir
> install-purelib=$base/lib
> install-platlib=$base/lib.$PLAT
> install-scripts=$base/scripts
> install-headers=$base/include
> install-data=$base/data
>
>
> I'm unsure if this is actually a bug, but I could only resolve this with
> the help of this answer on stackoverflow:
> http://stackoverflow.com/a/12768721
>
> Best regards,
> Peter
msg386324 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:19
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:19:06steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386324

resolution: out of date
stage: test needed -> resolved
2017-09-30 21:12:38zach.waresetversions: + Python 3.7, - Python 3.4, Python 3.5
2015-07-31 03:26:21zach.waresetversions: + Python 3.5, Python 3.6, - Python 3.3
2014-03-13 09:25:35eric.araujosetassignee: docs@python -> eric.araujo

nosy: + eric.araujo
2014-01-31 20:55:11zach.warecreate